//========================================================

class SelectPath extends SceneElement {

//========================================================
    //----------------------------------------------------
    onSetup(data){
    //----------------------------------------------------

        super.onSetup(data);
        this.add_variable("value");
    }
    //----------------------------------------------------
    draw(div,selected){

    //----------------------------------------------------
        var node=selected.search_path(this.value);

        if(node!=null){
            return super.draw(div,node);
        }
    }
    //----------------------------------------------------

}

//========================================================

